#ifndef TEST_FUNC_H
#define TEST_FUNC_H

#define DEBUG_DEMO

#ifdef DEBUG_DEMO
#include "../Interface/NetSdkClient.h"
#else
#include "../../include/NetSdkClient.h"
#endif

#define _TRUNCATE   0

#define MAX_DEVICE_NUM		100

#define MAX_DATA_CHAN 64

extern int g_iLogonID_sys[MAX_DEVICE_NUM];

extern int g_iLogonID;
extern int g_iTotalChnlNum;
extern unsigned int g_uiRecv[MAX_DATA_CHAN];
extern NVS_FILE_DATA fileInfo[MAX_PAGE_SIZE];
extern FILE *g_fpRawStream[32];
extern FILE *g_fpSdv[32];
extern FILE *g_fpH264[32];
extern FILE *g_fpG711A[32];
extern FILE *g_fpG711U[32];
extern FILE *g_fpADPCM[32];
extern FILE *g_fpG726[32];
extern int g_iLanguage;

typedef struct
{
    unsigned short  FrameRate;
    unsigned short  Width;
    unsigned short  Height;
    unsigned short  Mode;     // Ƶѹʽ
    unsigned short  bAudio;   // ǷƵ֡
    unsigned short  Year;
    unsigned short  Month;
    unsigned short  Day;
    unsigned short  Hour;
    unsigned short  Minute;
    unsigned short  Second;
    unsigned short  CoverMask;
    char cCovWord[56];
    unsigned int    TotalSize;
    unsigned int    TotalFrames;
}S_header;

void NVSDATA_Notify(unsigned int _uiRecvID,unsigned char* _ucData,int _iLen,void* _iUserData);  //ȡԭʼ

int AnalyzeRecvID(unsigned int _uiRecvID,int *_iLogonID,int *_iChan);
int to_int_def(const char* _pstrFrom, int _iDef = 0);
bool to_boolean_def(const char* _pstrFrom, bool _bDef = false);
int gets_s(char *_pcStr, int _iCount); // ȫgets

int code_convert(char *from_charset, char *to_charset, char *inbuf, size_t inlen, char *outbuf, size_t outlen) ;
int g2u(char *inbuf, size_t inlen, char *outbuf, size_t outlen);
int u2g(char *inbuf, size_t inlen, char *outbuf, size_t outlen); 

//ص
void Proupgrade_Notify(int _iLogonID,int _iServerState,void* _iUser);

static void __stdcall cbkRecvDataEx(unsigned long _ulID,unsigned char* _ucData,int _iLen, int _iFlag, void* _lpUserData);

//--------------------------------------------------------------
void ListAllInterface();

int Test_Param(char *_pcCmd);
                                                                                                                            
//3.1                                                                                                                                                                                                                 
int Test_GetVersion();

//3.2                                                                                                                  
void Test_SetNotifyUserData(); 

int Test_GetLogonStatus();

//3.3  
int Test_StartRecv();                                                                                              
                                                                                                                    
int Test_StopRecv();                                                                                               
                                                                                                                    
int Test_GetRecvID(); 
 
int Test_GetInfoByConnectID(); 
  
int Test_SetFullStreamNotify(); 
  
void Test_GetCmdString();
 
int Test_GetDevInfo(); 
 
void Test_SendDataToServer();                                                                                       
                                                                                                                    
void Test_IsValidUser();                                                                                            
                                                                                                                    
void Test_SetInnerDataNotify();                                                                                     
                                                                                                                 
//3.4                                                                                                               
int Test_StartCaptureData();                                                                                       
                                                                                                                    
int Test_StopCaptureData();                                                                                        
                                                                                                                  
int Test_GetVideoHeader();                                                                                         
                                                                                                                    
int Test_SetRawFrameCallBack();                                                                                    
                                                                                                                                                                                                                                       
//3.5                                                                                                                
int Test_StartCaptureFile();                                                                                       
                                                                                                                   
int Test_StopCaptureFile();                                                                                        
                                                                                                                     
int Test_GetCaptureStatus();
//3.9 
void Test_GetChannelNum();                                                                                          
                                                                                                                     
void Test_GetAlarmPortNum();                                                                                        
                                                                                                                    
//3.10
int Test_SetVideoPara();                                                                                           
                                                                                                                     
int Test_GetVideoPara();                                                                                           
                                                                                                                     
int Test_SetVideoparaSchedule();                                                                                   
                                                                                                                     
int Test_GetVideoparaSchedule();                                                                                   
   
//3.11                                                                                                              
int Test_SetVideoQuality();                                                                                        
                                                                                                                      
int Test_GetVideoQuality();                                                                                        
                                                                                                                      
//3.12                                                                                                              
int Test_SetFrameRate();                                                                                           
                                                                                                                    
int Test_GetFrameRate();                                                                                           

//3.13                                                                                                               
int Test_SetStreamType();                                                                                          
                                                                                                                     
int Test_GetStreamType();                                                                                          
                                                                                                                     
//3.14
int Test_SetMotionAreaEnable();                                                                                    
                                                                                                                     
int Test_SetMotionDetetionArea();                                                                                  
                                                                                                                     
int Test_GetMotionDetetionArea();
                                                                                                                     
int Test_SetThreshold();
                                                                                                                    
int Test_GetThreshold();                                                                                           
                                                                                                                    
int Test_SetMotionDetection();
                                                                                                                     
int Test_GetMotionDetection();                                                                                     
                                                                                                                    
int Test_SetMotionDecLinkRec();
                                                                                                                    
int Test_GetMotionDecLinkRec();                                                                                    
                                                                                                                   
int Test_SetMotionDecLinkSnap();
                                                                                                                    
int Test_GetMotionDecLinkSnap();
                                                                                                                     
int Test_SetMotionDecLinkOutport();
                                                                                                                    
int Test_GetMotionDecLinkOutport();                                                                                
                                                                                                                     
int Test_SetMotionDetectSchedule();
                                                                                                                      
int Test_GetMotionDetectSchedule(); 
                                                                               
int Test_SetMotionDecLinkSoundDisplay();    
                                                                           
int Test_GetMotionDecLinkSoundDisplay();                                                                           
                                                                                                                    
//3.15 
                                                                                                                      
int Test_SetOsdText();
                                                                                                                     
int Test_GetOsdText();                                                                                             
                                                                                                                   
int Test_SetOsdType();
                                                                                                                    
int Test_GetOsdType();   
                                                                                          
int Test_SetOsdLOGO();                                                                                          
                                                                                                                      
int Test_SetDateFormat();
                                                                                                                    
int Test_GetDateFormat(); 

                                                                                                                    
//3.16                                                                                                                                                                                                                                  
int Test_SetAudioChannel();
                                                                                                                      
int Test_GetAudioChannel();
                                                                                                                      
//3.17                                                                                                               
int Test_SetIpFilter();
                                                                                                                    
int Test_GetIpFilter();                                                                                            
                                                                                                                     
//3.18                                                                                                               
int Test_SetAlarmOutput();
                                                                                                                     
int Test_GetAlarmOutput();                                                                                         
                                                                                                                    
int Test_GetAlarmIPortState();                                                                                     
                                                                                                                    
int Test_SetAlarmPortEnable();
                                                                                                                    
int Test_GetAlarmPortEnable();                                                                                     
                                                                                                                     
int Test_SetInportAlarmLinkRec();
                                                                                                                    
int Test_GetInportAlarmLinkRec();                                                                                  
                                                                                                                     
int Test_SetInportAlarmLinkSnap();
                                                                                                                     
int Test_GetInportAlarmLinkSnap();                                                                                 
                                                                                                                     
int Test_SetInportAlarmLinkPTZ();                                                                                  
                                                                                                                    
int Test_GetInportAlarmLinkPTZ();                                                                                  
                                                                                                                   
int Test_SetInportAlarmLinkSoundDisplay();
                                                                                                                   
int Test_GetInportAlarmLinkSoundDisplay();                                                                         
                                                                                                                   
int Test_SetInportAlmLinkOutport();
                                                                                                                     
int Test_GetInportAlmLinkOutport();                                                                                
                                                                                                                     
//3.19                                                                                                               
int Test_SetAlarmInMode();
                                                                                                                   
int Test_GetAlarmInMode();                                                                                         
                                                                                                                    
int Test_SetAlarmOutMode();
                                                                                                                   
int Test_GetAlarmOutMode();                                                                                        
                                                                                                                     
int Test_SetInportAlarmSchedule();
                                                                                                                   
int Test_GetInportAlarmSchedule();                                                                                 
                                                                                                                    
int Test_SetOutportAlarmSchedule();
                                                                                                                      
int Test_GetOutportAlarmSchedule();                                                                                
                                                                                                                  
int Test_SetOutportAlarmDelay();
                                                                                                                    
int Test_GetOutportAlarmDelay();                                                                                   
                                                                                                                    
int Test_SetInportEnable();
                                                                                                                   
int Test_GetInportEnable();                                                                                        
                                                                                                                    
int Test_SetOutportEnable();                                                                                       
                                                                                                                      
int Test_GetOutportEnable();                                                                                       
                                                                                                                     
int Test_SetOutportState();
                                                                                                                      
int Test_GetOutportState();
                                                                                                                                                                                                                                          
//3.20                                                                                                              
int Test_SetAlmVdoCovThreshold();
                                                                                                                   
int Test_GetAlmVdoCovThreshold();
                                                                                                                     
int Test_SetAlmVideoCov();
                                                                                                                    
int Test_GetAlmVideoCov();
                                                                                                                   
//3.21                                                                                                               
int Test_SetDeviceType();
                                                                                                                   
int Test_GetDeviceType();                                                                                          
                                                                                                                    
int Test_SetComFormat();
                                                                                                                    
int Test_GetComFormat();                                                                                           
                                                                                                                    
void Test_GetAllSupportDeviceType();
                                                                                                                    
int Test_DeviceCtrl();
                                                                                                                    
int Test_DeviceCtrlEx();
                                                                                                                     
int Test_DevicePTZCtrl();
                                                                                                                    
void Test_SetComRecvNotify();
                                                                                                                     
int Test_GetComPortCounts();                                                                                       
                                                                                                                  
//3.22                                                                                                               
int Test_SetAlarmVideoLost();
                                                                                                                   
int Test_GetAlarmVideoLost();                                                                                      
                                                                                                                      
int Test_SetVideoLostLinkPTZ();
                                                                                                                    
int Test_GetVideoLostLinkPTZ();                                                                                    
                                                                                                                     
int Test_SetVideoLostLinkSoundDisplay();
                                                                                                                     
int Test_GetVideoLostLinkSoundDisplay();
                                                                                                                    
int Test_GetAlarmVLostState();
                                                                                                                  
int Test_SetVideoLostLinkOutport();
                                                                                                                   
int Test_GetVideoLostLinkOutport();                                                                                
                                                                                                                    
int Test_SetVideoLostSchedule();
                                                                                                                  
int Test_GetVideoLostSchedule();                                                                                   
                                                                                                                
int Test_SetVideoLostLinkRec();
                                                                                                                    
int Test_GetVideoLostLinkRec();                                                                                    
                                                                                                                     
int Test_SetVideoLostLinkSnap();
                                                                                                                    
int Test_GetVideoLostLinkSnap();                                                                                   
                                                                                                                     
//3.23                                                                                                               
int Test_SetIFrameRate();
                                                                                                                  
int Test_GetIFrameRate();                                                                                          
                                                                                                                     
int Test_ForceIFrame();
                                                                                                                 
//3.24                                                                                                               
int Test_SetTime();
                                                                                                                     
int Test_Reboot();
                                                                                                                    
int Test_DefaultPara();
                                                                                                                     
int Test_GetServerVersion();                                                                                       
                                                                                                                    
int Test_SetHTTPPort();
                                                                                                                  
int Test_GetHTTPPort();                                                                                            
                                                                                                                     
int Test_SetNVS();
                                                                                                                  
//3.25                                                                                                               
int Test_UpgradeProgram();
                                                                                                                     
int Test_UpgradeWebPage();
                                                                                                                    
void Test_GetUpgradePercent();
                                                                                                                  
//3.26                                                                                                               
int Test_GetUserNum();                                                                                             
                                                                                                                  
int Test_GetUserInfo();                                                                                            
                                                                                                                     
int Test_GetCurUserInfo();                                                                                         
                                                                                                                     
int Test_AddUser();
                                                                                                                     
int Test_DelUser();
                                                                                                                    
int Test_ModifyPwd();
                                                                                                                     
//3.27                                                                                                               
int Test_SetMaxConUser();
                                                                                                                   
int Test_GetMaxGetUser();                                                                                          
                                                                                                                  
//3.28                                                                                                               
                                                                                                                     
void Test_TalkStart();                                                                                              
                                                                                                                   
void Test_TalkEnd();                                                                                                
                                                                                                                    
void Test_InputTalkingdata();                                                                                       
                                                                                                                     
void Test_GetTalkingState();
                                                                                                                   
//3.30                                                                                                              
int Test_ChangeSvrIP();
                                                                                                                   
int Test_GetIpProperty();                                                                                          
                                                                                                                   
int Test_SetDHCPParam();
                                                                                                                    
int Test_GetDHCPParam();                                                                                           
                                                                                                                  
int Test_SetWifiDHCPParam();
                                                                                                                    
void Test_GetWifiDHCPParam();
                                                                                                                    
//3.31                                                                                                              
int Test_GetVideoCovArea();                                                                                        
                                                                                                                 
int Test_SetVideoCovArea();
                                                                                                                   
//3.32                                                                                                               
int Test_GetVideoSize();                                                                                           

int Test_SetVideoSize();
                                                                                                                     
int Test_GetVideoSizeEx();                                                                                         
                                                                                                                     
void Test_GetMaxMinorVideoSize();
                                                                                   
                                                                                                                                                                                                                                          
//3.35                                                                                                              
int Test_SetMaxKByteRate();
                                                                                                                    
int Test_GetMaxKByteRate();                                                                                        
                                                                                                                     
//3.36                                                                                                               
int Test_WriteUserData();
                                                                                                                   
int Test_ReadUserData();
                                                                                                                    
//3.37                                                                                                               
int Test_SetDomainParsePara();
                                                                                                                   
int Test_GetDomainParsePara();                                                                                     
                                                                                                                    
//3.39                                                                                                              
                                                                                                                    
int Test_SetReducenoiseState();
                                                                                                                   
int Test_GetReducenoiseState();
                                                                                                                                                                                                    
                                                                                                                 
int Test_DrawTextOnVideo();
                                                                                                                    
int Test_GetTextOnVideo();
                                                                                                                   
//3.41                                                                                                               
int Test_SetBothStreamSame();
                                                                                                                    
int Test_GetBothStreamSame();
                                                                                                                   
//3.42                                                                                                               
int Test_ShowBitrateOnVideo();                                                                                     
                                                                                                                    
int Test_GetBitrateOnVideo();                                                                                      
                                                                                                                   
//3.43                                                                                                               
int Test_SetPPPoEInfo();
                                                                                                                  
void Test_GetPPPoEInfo();
                                                                                                                     
//3.45                                                                                                               
int Test_CPUCheckEnabled();                                                                                        
                                                                                                                  
//3.46                                                                                                               
int Test_SetEncodeMode();
                                                                                                                   
int Test_GetEncodeMode();                                                                                          
                                                                                                                    
int Test_SetPreferMode();
                                                                                                                     
int Test_GetPreferMode();                                                                                          
                                                                                                                     
//3.47                                                                                                              
int Test_LogFileSetProperty();
                                                                                                                    
void Test_LogFileGetProperty();
                                                                                                                      
int Test_LogFileDownload();
                                                                                                                    
int Test_LogFileClear();
                                                                                                                    
int Test_LogFileGetDetails();                                                                                      
                                                                                                                     
//3.48                                                                                                               
int Test_GetVideoNPMode();                                                                                         
                                                                                                                   
int Test_SetVideoNPMode();
                                                                                                                    
//3.49                                                                                                               
int Test_SetAudioEncoder();
                                                                                                                  
int Test_GetAudioEncoder();                                                                                        
                                                                                                                     
//3.50                                                                                                               
int Test_NetFileQuery();
                                                                                                                 
int Test_NetFileSetRecordRule();
                                                                                                                   
int Test_NetFileGetRecordRule();                                                                                   
                                                                                                                    
int Test_NetFileSetAlarmRule();
                                                                                                                    
int Test_NetFileGetAlarmRule();                                                                                    
                                                                                                                    
int Test_NetFileSetAlarmState();
                                                                                                                    
int Test_NetFileGetAlarmState();                                                                                   
                                                                                                                   
int Test_NetFileSetTaskState();
                                                                                                                 
int Test_NetFileGetTaskState();                                                                                    
                                                                                                                    
int Test_NetFileSetTaskSchedule();
                                                                                                                    
int Test_NetFileGetTaskSchedule();                                                                                 
                                                                                                              
int Test_NetFileGetFileCount(); // Test_NetFileQuery󣬻Ϣе
                                                                                                                   
int Test_NetFileRebuildIndexFile();
                                                                                                                  
int Test_NetFileGetDiskInfo();                                                                                     
                                                                                                                 
void Test_NetFileIsSupportStorage();
                                                                                                                    
int Test_NetFileDownloadFile();
                                                                                                                    
int Test_NetLogQuery();                                                                                                                                                                                                     
                                                                                                                   
int Test_NetFileStopDownloadFile();

int Test_NetFileDownloadByTimeSpanEx();

int Test_NetFileDownloadByTimeSpanCallBack();
                                                                                                                  
void Test_NetFileGetDownloadPos();                                                                                  
                                                                                                                   
int Test_NetFileMountUSB();
                                                                                                                     
int Test_NetFileGetRecordState();                                                                                  
                                                                                                                  
int Test_NetFileDelFile();
                                                                                                                    
int Test_DiskSetUsage();                                                                                           
                                                                                                                  
void Test_NetFileGetQueryfile(); //Test_NetFileQuery󣬻Ϣе                                                                                   
                                                                                                                 
int Test_DiskFormat();
                                                                                                                   
int Test_DiskPart();
                                                                                                             
int Test_NetFileManualRecord();
                                                                                                                  
int Test_NetFileMapStoreDevice();
                                                                                                                  
int Test_NetFileGetMapStoreDevice();                                                                               
                                                                                                                   
void Test_NetFileGetUSBstate();
                                                                                                                     
int Test_NetFileSetExtendname();
                                                                                                                 
void Test_NetFileGetExtendname();
                                                                                                                   
int Test_ClearDisk();

                                                                                                             
//3.52                                                                                                               
int Test_SetMediaStreamClient();
                                                                                                                   
int Test_GetMediaStreamClient();
                                                                                                                    
//3.53                                                                                                                                                                                                                                 
int Test_SetEmailAlarm();
                                                                                                                     
int Test_GetEmailAlarm();                                                                                          
                                                                                                                      
int Test_SetEmailAlarmEnable();                                                                                    
                                                                                                                     
int Test_GetEmailAlarmEnable();                                                                                    
                                                                                                                    
//3.54                                                                                                               
int Test_SetScene();
                                                                                                                    
int Test_GetScene();
                                                                                                                    
int Test_SetSensorFlip();
                                                                                                                   
int Test_GetSensorFlip();
                                                                                                                    
int Test_SetSensorMirror();
                                                                                                                     
int Test_GetSensorMirror();
                                                                                                                     
//3.55                                                                                                              
int Test_Snapshot();
                                                                                                                  
//3.56                                                                                                              
int Test_GetFactoryID();                                                                                           
                                                                                                                     
//3.57                                                                                                               
int Test_SetWifiParam();
                                                                                                                      
void Test_GetWifiParam();
                                                                                                                      
void Test_WifiSearch();
                                                                                                                   
void Test_GetWifiSearchResult();
                                                                                                                     
//3.58                                                                                                               
int Test_SetPrivacyProtect();
                                                                                                                    
int Test_GetPrivacyProtect();
                                                                                                                    
//3.59                                                                                                               
void Test_IYUVtoYV12();
                                                                                                                   
//3.60                                                                                                               
void Test_GetDevType();
                                                                                                                  
int Test_GetProductType();                                                                                         
                                                                                                                     
//3.61                                                                                                               
void Test_BackupKernel();
                                                                                                                   
//3.62                                                                                                               
int Test_SetUPNPEnable();
                                                                                                                     
void Test_GetUPNPEnable();
                                                                                                                    
//3.63                                                                                                              
int Test_GetSysInfo();
                                                                                                                  
//3.64                                                                                                               
int Test_SetDDNSPara();                                                                                            
                                                                                                                    
int Test_GetDDNSPara();                                                                                            
                                                                                                                  
//3.65                                                                                                              
int Test_SetFuncListArray();
                                                                                                                   
void Test_GetFuncListArray();
                                                                                                                     
//3.66                                                                                                               
int Test_SendStringToServer();
                                                                                     
int Test_SendStringToCenter();                                                                                     
                                                                                                                 
//3.67                                                                                                               
int Test_SetVencType();
                                                                                                                  
int Test_GetVencType();
                                                                                                                     
//3.68                                                                                                               
int Test_SetComServer();
                                                                                                                  
void Test_GetComServer();
                                                                                                                      
//3.69                                                                                                               
void Test_Get3GDeviceStatus();
                                                                                                                     
int Test_Set3GDialog();
                                                                                                                     
void Test_Get3GDialog();
                                                                                                                     
int Test_Set3GMessage();
                                                                                                                    
void Test_Get3GMessage();
                                                                                                                    
int Test_Set3GTaskSchedule();
                                                                                                                     
void Test_Get3GTaskSchedule();
                                                                                                                     
int Test_Set3GNotify();
                                                                                                                   
void Test_Get3GNotify();
                                                                                                                   
//3.70                                                                                                               
int Test_SetHDCamer();
                                                                                                                     
int Test_GetHDCamer();
                                                                                                                    
//3.71                                                                                                               
int Test_SetAlarmServer();
                                                                                                                    
void Test_GetAlarmServer();

// add other

void Test_GetNTPInfo();

int Test_SetNTPInfo();

//Test CD Burn
int Test_SetCDBurnConfig();
int Test_GetCDBurnConfig();

//Test En/Decrpt 
int Test_SetVideoEncrypt();
int Test_GetVideoEncrypt();
int Test_SetVideoDecrypt();
int Test_GetVideoDecrypt();

int Test_SetPreRecEnable();
int Test_GetPreRecEnable();

int Test_SetVideoCombine();
int Test_GetVideoCombine();
//Code here because this function is similar with VideoCombine(the Over - of).
int Test_SetMixAudio();
int Test_GetMixAudio();

int Test_CaptureBmpPic();

int Test_SetEmailAlarmEx();
int Test_GetEmailAlarmEx();
int Test_SetFTPUploadConfig();
int Test_GetFTPUploadConfig();

int Test_SetDigitalChannelConfig();
int Test_GetDigitalChannelConfig();

int Test_DigitalChannelSend();
int Test_SetVideoNPModeEx();
int Test_GetVideoNPModeEx();
int	Test_GetDigitChannelCount();
int Test_GetChannelProperty();

int	Test_SetDeviceTimerReboot();
int	Test_GetDeviceTimerReboot();
int Test_SetVideoCoverSchedule();
int Test_GetVideoCoverSchedule();
int	Test_SetCPUMEMAlarmThreshold();
int	Test_GetCPUMEMAlarmThreshold();
int	Test_SetDZInfo();
int	Test_GetDZInfo();
int	Test_SetPTZAutoBack();
int	Test_GetPTZAutoBack();
int	Test_Set3GVPND();
int Test_Get3GVPND();
int	Test_SetHDCamerEx();
int	Test_GetHDCamerEx();

//VCA --Set
int T_SetVCAChanEnable(int _iChan);
int T_SetVCAVideoSize(int _iChan);
int T_SetVCAAdvPara(int _iChan);
int T_SetVCATargetPara(int _iChan);
int T_ClearAlarmStat(int _iChan);
int T_SetVCARuleCommPara(int _iChan);
int T_SetVCATripWire(int _iChan);
int T_SetVCAPerimeter(int _iChan);
int T_SetVCAFaceRec(int _iChan);
int T_SetVCAVideoDetection(int _iChan);
int T_SetVCAAlarmSchedule(int _iChan);
int T_SetVCAAlarmLink(int _iChan);
int T_SetVCAScheduleEnable(int _iChan);
int T_SetVCAAbandum(int _iChan);
int T_SetVCACrowd(int _iChan);
int T_SetVCAFlux(int _iChan);
//--Get
int T_GetVCAChanEnable(int _iChan);
int T_GetVCAVideoSize(int _iChan);
int T_GetVCAAdvPara(int _iChan);
int T_GetVCATargetPara(int _iChan);
int T_GetVCAAlarmStat(int _iChan);
int T_GetVCARuleCommPara(int _iChan);
int T_GetVCATripWire(int _iChan);
int T_GetVCAPerimeter(int _iChan);
int T_GetVCAFaceRec(int _iChan);
int T_GetVCAVideoDetection(int _iChan);
int T_GetVCAAlarmSchedule(int _iChan);
int T_GetVCAAlarmLink(int _iChan);
int T_GetVCAScheduleEnable(int _iChan);
int T_GetVCAAbandum(int _iChan);
int T_GetVCACrowd(int _iChan);
int T_GetVCAFlux(int _iChan);
/************/
int Test_VCASetConfig();
int Test_VCAGetConfig();
int Test_VCARestart();
int Test_VCARestartEx();
/************/   

//sip add by cmz
int Test_SetChannelSipConfig();
int Test_GetChannelSipConfig();

//GetMaxVideoSize add by cmz 20110309
int Test_GetMaxVideoSize();

//BitRatePercent add by cmz 20110309
int Test_SetBitRatePercent();
int Test_GetBitRatePercent();
//FTPUsage  add by cmz 20110309
int Test_SetFTPUsage();
int Test_GetFTPUsage();
//GetVideoParam add by cmz 20110309
int Test_GetVideoParam();
//OSDAlpha
int Test_SetOSDAlpha();
int Test_GetOSDAlpha();
//DeviceSetup add by cmz 20110309
//int Test_DeviceSetup();       
                                                                                                             
//3GDVR 
int Test_Set3GDVRConfig();
int Test_Get3GDVRConfig(); 
/**********/
int T_SetGPSOverlay();
int T_SetPowerDelay();
int T_SetGPSFilter();
int T_SetFtpUploadMode();
int T_GetPowerDelay();
int T_GetSimNum();
int T_GetGPSOverlay();
int T_GetGPSFilter();
int T_GetFtpUploadMode();
/***********/

int Test_SetColorToGray();
int Test_GetColorToGray();
int Test_GetExceptionMsg();
int Test_SetCHNPTZFormat();
int Test_GetCHNPTZFormat();
int Test_GetProtocolList();
int Test_SetCHNPTZCRUISE();
int Test_GetCHNPTZCRUISE();
int Test_SetFTPUpdate();
int Test_GetFTPUpdate();

int Test_ChangeSvrIPEx();
int Test_GetIpPropertyEx();

int Test_SendStringToServerEx();

//SetOSDTypeColor add by cmz 20110412
int Test_SetOSDTypeColor();
int Test_GetOSDTypeColor();

int Test_GetServerVersionEx();
//int Test_NetLogGetLogfile();

int Test_DrawRectOnLocalVideo();
int Test_DrawPolyOnLocalVideo();
int Test_NetFileQueryEx();

//
int Test_ComSend();

int Test_SetCustomChannelName();
int Test_GetCustomChannelName();
int Test_SetCustomRecType();
int Test_GetCustomRecType();

//20110906
int Test_SetDecCallBackEx();
int Test_GetDownloadStream();

//20120427
int Test_SetDataPackCallBack();

//miracle
int Test_NetFileSetChannelParam();
int Test_NetFileGetChannelParam();

int Test_ShutDownDev();
int Test_BackupImage();

int Test_LaneParam();
//cb@120806
int Test_SetAlarmConfig();
int Test_GetAlarmConfig();

int Test_GetVideoSzList();

int Test_SetPictureCallBack();

//zhy
int Test_SetITSBlock();
int Test_GetITSBlock();
int Test_SetHDTimeRangeParam();
int Test_GetHDTimeRangeParam();
int Test_SetHDTemplateName();
int Test_GetHDTemplateName();
int Test_SetHDTemplateMap();
int Test_GetHDTemplateMap();
int Test_SetITSTimeRangeEnable();
int Test_GetITSTimeRangeEnable();
int Test_SetITSDetectMode();
int Test_GetITSDetectMode();

int Test_GetCharSet();
int Test_CheckDeviceState();
int Test_GetDeviceState();
int Test_CheckCamera();
int Test_GetCameraCheckInfo();

int Test_SetCameraParam();
int Test_GetCameraParam();
int Test_SetColorParam();
int Test_GetColorParam();
int Test_SetJPEGQuality();
int Test_GetJPEGQuality();
int Test_SetPlatformApp();
int Test_GetPlatformApp();
int Test_SetATMConfig();
int Test_GetATMConfig();
int Test_ATMQueryFile();
int Test_ATMGetQueryFile();
int Test_SetAudioSample();
int Test_GetAudioSample();
int Test_SetSystemTypeEx();
int Test_GetSystemTypeEx();
int Test_SetEncryptSN();
int Test_GetSNReg();
int Test_GetComFormat_V1();
int Test_SetComFormat_V2();
int Test_GetComFormat_V2();
int Test_GetServerVersion_V1();
int Test_InputTalkingdataEx();
int Test_SetVerticalSync();
int Test_GetVerticalSync();
int Test_SetLocalAudioVolumeEx();
int Test_GetLocalAudioVolumeEx();
int Test_ClearPolyLocalVideo();

//v4.0
int Test_SetTimeZone();
int Test_GetTimeZone();
int Test_SetCurLanguage();
int Test_GetCurLanguage();
int Test_GetLanguageList();
int Test_SetChannelEncodeProfile();
int Test_GetChannelEncodeProfile();
int Test_SetAlarmClear();
int Test_SetExceptionHandleParam();
int Test_GetExceptionHandleParam();
int Test_SetAlarmLink_V1();
int Test_GetAlarmLink_V1();

int Test_SetOSDTypeFontSize();
int Test_GetOSDTypeFontSize();
int Test_SetMuted();
int Test_SetPWMValue();
int Test_GetPWMValue();
int Test_SetImgDisposal();
int Test_GetImgDisposal();
int Test_SetSystemType();
int Test_GetSystemType();
int Test_SetITSLoopMode();
int Test_GetITSLoopMode();
int Test_SetITSDeviceType();
int Test_GetITSDeviceType();
int Test_SetITSRoadwayParam();
int Test_GetITSRoadwayParam();
int Test_SetITSLicensePlateOptimize();
int Test_GetITSLicensePlateOptimize();
int Test_SetITSExtraInfo();
int Test_GetITSExtraInfo();
int Test_SetITSSwitchTime();
int Test_GetITSSwitchTime();
int Test_SetITSRecoParam();
int Test_GetITSRecoParam();
int Test_SetITSDayNight();
int Test_GetITSDayNight();
int Test_SetITSCamLocation();
int Test_GetITSCamLocation();
int Test_SetITSWorkMode();
int Test_GetITSWorkMode();
int Test_SetWaterMarkEnable();
int Test_GetWaterMarkEnable();
int Test_SetITSLightInfo();
int Test_GetITSLightInfo();
int Test_SetHardWareParam();
int Test_GetHardWareParam();


int Test_GetBitrateOnVideo_V4();
int Test_NetFileDownloadByTimeSpan();
int Test_ControlDeviceRecord();
int Test_SetVideoModeMethod();
int Test_GetVideoModeMethod();
int Test_SetPsPackCallBack();
int Test_SetComRecvNotify_V4();
int Test_VCAGetAlarmInfo();
int Test_SetManagerServersInfo();
int Test_GetManagerServersInfo();

int Test_BindInterface();
int Test_GetNetInterface();
int Test_NetLogGetLogCount();
int Test_SetDomainParsePara_V4();
int Test_GetDomainParsePara_V4();
int Test_SetHTTPPort_V4();
int Test_GetHTTPPort_V4();
int Test_GetConnectInfo();
int Test_SetHXListenPortInfo();
int Test_GetHXListenPortInfo();
int Test_NetFileLockFile();

int Test_GetGroupAuthority();
int Test_ModifyUserAuthority();
int Test_GetUserAuthority();
int Test_SetDiskGroup();
int Test_GetDiskGroup();
int Test_SetDiskQuota();
int Test_GetDiskQuotaState();
int Test_SetHolidayPlan();
int Test_GetHolidayPlan();
#endif

         

                                                                                                                     


         

