#include <assert.h>
#include <stdio.h>
#include <time.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <linux/ioctl.h>
#include <sys/ioctl.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netdb.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <net/if.h>
#include <net/if_arp.h>
#include <errno.h>
#include <net/route.h>
#include <string.h>
#include <malloc.h>
#include <pthread.h>
#include <termios.h>    /*PPSIX ն˿ƶ*/
#include <signal.h>
#include <semaphore.h>
#include <dlfcn.h>
#include <sys/resource.h>
#include <unistd.h>
#include "test_func.h"
#include "auto_test.h"
#include <mcheck.h>

#include "config_sys.h"


char g_CONFIG_FILE[256] = "./config.ini";

char* g_cLogBuf = NULL;
int g_iLastChangedParam = -1;

extern int g_iDiskNO;
extern int g_iPartNum;
extern int g_iFormatNow;
extern unsigned int g_uiRecv[MAX_DATA_CHAN];
extern unsigned int g_uiFileRecvID[MAX_FILE_CHAN];

void GetAllRecvID()
{
    int iChan = -1;
    for(int i=0; i<MAX_DATA_CHAN; i++)
    {
        if(g_uiRecv[i] != 0xFFFFFFFF)
        {
            if(i <= g_iTotalChnlNum/2)
            {
                printf("ChannelNo = %d, stream is MainStream, RecvID = %d\n", i, g_uiRecv[i]);
            }
            else
            {
                iChan = g_uiRecv[i]-g_iTotalChnlNum;
                printf("ChannelNo = %d, stream is SubStream, RecvID = %d\n", iChan, g_uiRecv[i]);
            }
        }
    }
    printf("Please type interface to test:");
}

void LogonDevice(void)
{
    char cIP[16] = {0};
    //char cIP[16] = {"10.30.41.201"};
    char cTemp[8] = {0};
    int iPort = 0;
    char cProxyIP[16] = {0};
    char cUserName[16] = {0};
    char cPassword[16] = {0};
    fprintf(stderr, "Please input Proxy IP: ");
    gets_s(cProxyIP, 16);
    if(0 == strcasecmp("q", cProxyIP))
    {
        exit(0);
    }

    fprintf(stderr, "Please input server IP: ");
    gets_s(cIP, 16);
	//printf(" real IP is %s\n", cIP);
    if(0 == strcasecmp("q", cIP))
    {
        exit(0);
    }

    fprintf(stderr,"Please input server port: ");
    gets_s(cTemp, 8);
    if(0 == strcasecmp("q", cTemp))
    {
        exit(0);
    }
    iPort = to_int_def(cTemp, 3000);

    fprintf(stderr, "Please input user name: ");
    gets_s(cUserName, 16);
    if(0 == strcasecmp("q", cUserName))
    {
        exit(0);
    }

    fprintf(stderr, "Please input password: ");
    gets_s(cPassword, 16);
    if(0 == strcasecmp("q", cPassword))
    {
        exit(0);
    }

	if(strcmp(cIP, "") == 0)
		strcpy(cIP, "10.30.21.67");
	if(iPort==0)
		iPort = 3000;
    if(strcmp(cUserName, "") == 0)
        strcpy(cUserName, "Admin");
    if(strcmp(cPassword, "") == 0)
        strcpy(cPassword, "Admin");
        
    g_iLogonID = NetClient_Logon(cProxyIP, cIP, cUserName, cPassword, "", iPort);

    if(g_iLogonID<0)
    {
        fprintf(stderr,"Logon return %d\n", g_iLogonID);
    }
}

void Notify_Main(int _iLogonID, int  _iWparam, int _iLParam,void* _iUserData)
{
    printf("[z_demo] (Notify_Main) LogonID = %d | Wparam = %d | LParam = %d \n", _iLogonID, _iWparam, _iLParam);

	int iLparam = (int)_iLParam;
	int iParam = HIWORD(_iWparam); 
    int iMessageType = LOWORD(_iWparam);

	switch (iMessageType)
    {
    case WCM_LOGON_NOTIFY:
        {
            if(iLparam == LOGON_SUCCESS)
            {
				//g_blLogonState = true;
                ListAllInterface();
                NetClient_GetChannelNum(_iLogonID, &g_iTotalChnlNum);
            }
            else
            {
				//g_blLogonState = false;
                printf("Logon device failed!\n");
                printf("Please type 'logon' to logon again:");
            }
            break;
        }
    case WCM_VIDEO_HEAD:
        {     
            int iChan = iLparam;
            RECT rc = {0};
			NetClient_StopPlay(g_uiRecv[iChan]);
            int iRet = NetClient_StartPlay(g_uiRecv[iChan], 0, rc,0);   
            if(iRet >= 0)
            {
                printf("Startplay success\n");
            }
            break;
        }
    case WCM_QUERYFILE_FINISHED:
		{
			fprintf(stderr,  "[WCM_QUERYFILE_FINISHED] return file count=%d \n",iParam);
			int iTotalCount = 0;
			int iCurrentCount = 0;
			NetClient_NetFileGetFileCount(_iLogonID, &iTotalCount, &iCurrentCount);
            NVS_FILE_DATA_EX fileInfoEx[MAX_PAGE_SIZE]= {0};
			for(int i=0; i<iCurrentCount; i++)
			{    
                fileInfoEx[i].iSize = sizeof(NVS_FILE_DATA_EX);          
				if(0 == NetClient_NetFileGetQueryfileEx(_iLogonID, i, &fileInfoEx[i]))
				{
					fprintf(stderr, "[WCM_QUERYFILE_FINISHED] %02d :: name=%s,type=%d,chan=%d,size=%d,lock=%d\n",
						i,fileInfoEx[i].tFileData.cFileName,fileInfoEx[i].tFileData.iType,fileInfoEx[i].tFileData.iChannel,fileInfoEx[i].tFileData.iFileSize,fileInfoEx[i].iSize);                   
				}
			}
			fprintf(stderr,"Please type interface:\n");
            fprintf(stderr,"If you want to test NetClient_NetFileLockFile,you can input Test_NetFileLockFile.\n");
			break;          
		}
	case WCM_QUERY_ATMFILE_FINISHED:
		{
			NVS_IPAndID *pNvs = (NVS_IPAndID *)_iLParam;
			if (pNvs)
			{
				int iLogonID = *pNvs->m_piLogonID;
				int iTotalCount = 0;
				int iCurrentCount = 0;
				NetClient_NetFileGetFileCount(_iLogonID, &iTotalCount, &iCurrentCount);
				fprintf(stderr,  "[WCM_QUERY_ATMFILE_FINISHED] return file count=%d \n",iCurrentCount);

				ATM_FILE_DATA fileInfo = {0};
				for(int i=0; i<iCurrentCount; i++)
				{              
					if(0 == NetClient_ATMGetQueryFile(_iLogonID, i, &fileInfo))
					{
						fprintf(stderr, "[NetClient_ATMGetQueryFile] %d :: name=%s,type=%d,chan=%d,size=%d,operate=%d,operate time=%04d-%02d-%02d %02d:%02d:%02d \n",
							i,fileInfo.cFileName,fileInfo.iType,fileInfo.iChannel,fileInfo.iFileSize,fileInfo.iOperate
							,fileInfo.struOperateTime.iYear,fileInfo.struOperateTime.iMonth,fileInfo.struOperateTime.iDay
							,fileInfo.struOperateTime.iHour,fileInfo.struOperateTime.iMinute,fileInfo.struOperateTime.iSecond);                   
					}
				}
				fprintf(stderr,"Please type interface:");
			}
			break;       
		}
    case WCM_DWONLOAD_FAULT:
        {
            printf("[WCM_DWONLOAD_FAULT] file id=%d \n",iLparam);
            NetClient_NetFileStopDownloadFile((unsigned int)_iLParam);
			for (int i = 0; i < MAX_FILE_CHAN; i++) 
			{
				if(g_uiFileRecvID[i] == (unsigned long)_iLParam) 
				{
					g_uiFileRecvID[i] = 0xFFFFFFFF;
				}
			}

            int iResult = iParam & 0x00ff;
            int iFileID = (iParam & 0xff00)>>8;
            char cFileName[512] = {0};
            int iRet = NetClient_GetDownloadFailedFileName(_iLogonID, iFileID, cFileName, sizeof(cFileName));
            if(iRet == 0)
                printf("[WCM_DWONLOAD_FAULT] File name = %s, result = %d\n", cFileName, iResult);
            else
                printf("[WCM_DWONLOAD_FAULT] GetDownloadFailedFileName failed.\n");

			fprintf(stderr,"Please type interface:");
            break;
        }
    case WCM_DOWNLOAD_INTERRUPT:
        {
            printf("[WCM_DOWNLOAD_INTERRUPT] file id=%d \n",iLparam);
            NetClient_NetFileStopDownloadFile((unsigned int)_iLParam);
			for (int i = 0; i < MAX_FILE_CHAN; i++) 
			{
				if(g_uiFileRecvID[i] == (unsigned long)_iLParam) 
				{
					g_uiFileRecvID[i] = 0xFFFFFFFF;
				}
			}
			fprintf(stderr,"Please type interface:");
            break;
        }
    case WCM_DWONLOAD_FINISHED:
        {
            printf("[WCM_DWONLOAD_FINISHED] file id=%d \n",iLparam);
            NetClient_NetFileStopDownloadFile((unsigned long)_iLParam);
			for (int i = 0; i < MAX_FILE_CHAN; i++) 
			{
				if(g_uiFileRecvID[i] == (unsigned long)_iLParam) 
				{
					g_uiFileRecvID[i] = 0xFFFFFFFF;
				}
			}
            break;            
        }
    case WCM_LOGFILE_FINISHED:
        {            
            if(NULL == g_cLogBuf)
            {
                g_cLogBuf = new char[1024*512];
            }

            if(g_cLogBuf)
            {
                memset(g_cLogBuf, 0, 1024*512);
                int iLogLen = 0;
                NetClient_LogFileGetDetails(_iLogonID, g_cLogBuf, &iLogLen);
                printf("[WCM_LOGFILE_FINISHED] log data= \n");
                printf("%s \n", g_cLogBuf);
                fprintf(stderr, "log length is %d\n",iLogLen);
            }
            break;
        }
	case WCM_QUERYLOG_FINISHED:
        {
            int iTotal = 0;
            int iCurrent = 0;
			char cOutBuf[256];
            NetClient_NetLogGetLogCount(_iLogonID, &iTotal, &iCurrent);

			if(0 == iCurrent)
			{
				printf("In this query condition, there is no log file!\n");
			}

            for(int i=0;i<iCurrent;++i)
            {
                NVS_LOG_DATA log_data;
                NetClient_NetLogGetLogfile(_iLogonID, i, &log_data);
				memset(cOutBuf, 0, sizeof(cOutBuf));
				char* pcLanguage = "gbk";
				switch(g_iLanguage)
				{
				case 0:
					pcLanguage = "iso885915";
					break;
				case 1:
					pcLanguage = "gbk";
					break;
				case 2:
					pcLanguage = "big5";
					break;
				case 3:
					pcLanguage = "euckr";
					break;
				case 4:
					pcLanguage = "iso88591";
					break;
				case 5:
					pcLanguage = "iso88591";
					break;
				default:
					break;
				}
				code_convert(pcLanguage, "utf-8", log_data.szLogContent, sizeof(log_data.szLogContent)+1, cOutBuf, sizeof(cOutBuf)); 
				
                printf("[WCM_QUERYLOG_FINISHED] index=%d,log=%s \n",i,cOutBuf);
            }
			fprintf(stderr,"Please type interface:");
            break;
        }
    case WCM_DISK_FORMAT_PROGRESS:
        {
            int iDiskNo = (_iWparam & 0xFF000000) >> 24;
            int iProgress = (_iWparam & 0x00FF0000) >> 16;

            printf("[WCM_DISK_FORMAT_PROGRESS] iDiskNo=%d,iProgress=%d \n",iDiskNo,iProgress);

            break;
        }
    case WCM_DISK_FORMAT_ERROR:
        {
            int iDiskNo = (_iWparam & 0xFF000000) >> 24;
            int iError = (_iWparam & 0x00FF0000) >> 16;
            if(iError == 101)
                printf("[WCM_DISK_FORMAT_ERROR] format successful(%d), iDiskNo=%d.\n",iError, iDiskNo);
            else
                printf("[WCM_DISK_FORMAT_ERROR] format error(%d), iDiskNo=%d.\n",iError, iDiskNo);
            
            break;
        }
     case WCM_DISK_PART_ERROR:
        {
            int iDiskNo = (_iWparam & 0xFF000000) >> 24;
            int iError = (_iWparam & 0x00FF0000) >> 16;
            if(iError == 110)
                printf("[WCM_DISK_PART_ERROR] Part PARA INVALID, iDiskNo=%d \n",iDiskNo);
            else if(iError == 104)
                printf("[WCM_DISK_PART_ERROR] Format Disk INVALID \n");
            else if(iError == 116)
                printf("[WCM_DISK_PART_ERROR] Get DiskInfo Failed \n");
            else if(iError == 122)
                printf("[WCM_DISK_PART_ERROR] Part Failed \n");
            else if(iError == 101)
            {
                if(g_iFormatNow == 1)
                {
                    NetClient_DiskFormat(g_iLogonID, g_iDiskNO, 0);
                    g_iFormatNow = 0;
                }
                else
                {
                    printf("[WCM_DISK_PART_ERROR] Part ok \n");
                }
            }
            else if(iError == 150)
                printf("[WCM_DISK_PART_ERROR] Part Failed, Other Formating \n");
            else
                printf("[WCM_DISK_PART_ERROR] Part Failed, undefined error(%d)\n", iError);

            break;
        }
    case WCM_REBUILDINDEX:
        {
            printf("[WCM_REBUILDINDEX] ret code=%d \n",iParam);
            break;
        }
    case WCM_RECVMESSAGE:
        {
            int iRecvLen = iParam;
            char *cMsg = (char *)_iLParam;
            printf("[WCM_RECVMESSAGE] iRecvLen=%d,msg =%s \n",iRecvLen,cMsg);
            break;
        }
    case WCM_TALK:
        {
            printf("[WCM_TALK] %d", iLparam);
            break;
        }

	case WCM_ERR_ORDER:
		{
			for(int i = 0; i < MAX_FILE_CHAN; i++)
			{
				g_uiFileRecvID[i] = 0xFFFFFFFF;
			}
		}
    default:
        break;
    }

   
    //printf("[x-demo] (Notify_Main) LogonID = %d | Wparam = %d | LParam = %d Quit here ...\n", _iLogonID, _iWparam, _iLParam);
    return;
}

void Notify_Alarm(int _ulLogonID, int _iCh,int _iAlarmState,ALARMTYPE _iAlarmType,void* _iUserData)
{
    //printf("Alarm Notify: LogonID = %d | Ch = %d | Context = %d | AlarmType = %d\n", _ulLogonID,_iCh, *(unsigned int *)_vContext,_iAlarmType);
    switch(_iAlarmType)
    {
    case ALARM_VCA_INFO:
        {
            //int iAlarmState = _iAlarmState & 0x0000FFFF;
            int iAlarmIndex = _iAlarmState >> 16;
            vca_TAlarmInfo ti = {0};
            int iRet = NetClient_VCAGetAlarmInfo(_ulLogonID, iAlarmIndex, &ti, sizeof(ti));
            if(iRet >= 0)
            {
                char cAlarmInfo[512] = {0};
                sprintf(cAlarmInfo, "%02d | %d,%d,%u,%d,%d,%d - %03d:%03d,%03d:%03d,%3d,%3d",
                    iAlarmIndex, ti.iChannel, ti.iState, ti.uiTargetID, ti.iEventType, ti.iRuleID, ti.iTargetType,
                    ti.rctTarget.left, ti.rctTarget.top, ti.rctTarget.right, ti.rctTarget.bottom,
                    ti.iTargetSpeed, ti.iTargetDirection);
                printf("VCA alarm informatin: %s\n", cAlarmInfo);
            }
        }
    }

    return;
}

void Notify_ParaChange(int _ulLogonID,int _iCh,PARATYPE _iParaType,STR_Para* _strPara,void* _iUserData)
{
    printf("ParamChange Notify: LogonID = %d | CH = %d | ParmType = %d\n", _ulLogonID, _iCh, _iParaType);

    switch(_iParaType)
    {
    case PARA_SYSINFO_RESULT:
        {
            printf("cpu = %d, mem = %d, flash = %d\n ", _strPara->m_iPara[0], _strPara->m_iPara[1], _strPara->m_iPara[2]);
            break;
        }
    case PARA_WIFI_SEARCH_RESULT:
        {
            WIFI_INFO *pWifiInfo = NULL;
            int iWifiCount = 0;
            int iRet = NetClient_GetWifiSearchResult(_ulLogonID, &pWifiInfo, &iWifiCount);
            if(0 == iRet)
            {
                fprintf(stderr, "GetWifiSearchResult success, the wifi count is %d\n", iWifiCount);
                for(int i=0; i<iWifiCount; i++)
                {
                    fprintf(stderr, "Wifi %d: ESSID is %s, encryption is %s\n", i, pWifiInfo[i].cESSID, pWifiInfo[i].cEncryption);
                }
            }
            else
            {
                fprintf(stderr, "GetWifiSearchResult failed\n");
            }
            fprintf(stderr, "Please type interface:");
            break;
        }
    case PARA_FTP_UPDATE_STATUS:
        {
            fprintf(stderr,"Update... Progress = %d\n", _strPara->m_iPara[1]);
			break;
        }
	case PARA_CHECKIRIS_STATUS:
		{
			int iState;
			int iRet = NetClient_GetCameraCheckInfo(_ulLogonID, _iCh, 1, &iState);
			if (iRet == 0)
			{
				fprintf(stderr, "GetCameraCheckInfo success, Iris state is %d\n", iState);
			}
			break;
		}
	case PARA_CHECKBADPIXEL_STATUS:
		{
			int iState;
			int iRet = NetClient_GetCameraCheckInfo(_ulLogonID, _iCh, 0, &iState);
			if (iRet == 0)
			{
				fprintf(stderr, "GetCameraCheckInfo success, bad pixel state is %d\n", iState);
			}
			break;
		}
    default:
        break;
    }

}

void Notify_ComRecv(int _ulLogonID, char *_buf, int  _length,int  _iComNo,void* _iUserData)
{
    char cCmd[1024] = {0};
    unsigned char tmp = 0;
    for(int i=0; i<_length; i++)
    {
        tmp = *(_buf+i);
        sprintf(&cCmd[i*3], " %02x", tmp);
    }

    printf("Com Recv Nodify: LogonID = %d | Buf = %s | Length = %d | ComNO = %d\n", _ulLogonID, cCmd, _length, _iComNo);
    return;
}

void LogonActive(void)
{
    char cTemp[8] = {0};
    ////////////////////////////////////////////////////////////////////////////////////
    fprintf(stderr, "--Set Local IP and Listen Port--\n");
    char cLocalIP[16] = {0};
    int iLocalPort = 0;

    fprintf(stderr, "Please input Local IP: ");
    gets_s(cLocalIP, 16);
    if(0 == strcasecmp("q", cLocalIP))  exit(0);

    fprintf(stderr,"Please input Listen port: ");
    gets_s(cTemp, 8);
    if(0 == strcasecmp("q", cTemp))  exit(0);
    iLocalPort = to_int_def(cTemp, 3000);

    /*int iRet = NetClient_StartServer(cLocalIP, iLocalPort);
    if (iRet == 0)
    {
        fprintf(stderr, "[NetClient_StartServer] success.\n");
    }
    else
    {
        fprintf(stderr, "[NetClient_StartServer] fail.return value is %d\n", iRet); 
        return;
    }*/
    ////////////////////////////////////////////////////////////////////////////////////////

    fprintf(stderr, "--Set Directory server info--\n");
    char cDSMIP[16] = {0};
    int iDSMPort = 0;
    char cBakDSMIP[16] = {0};
    int iBakDSMPort = 0; 
    
    fprintf(stderr, "Please input DSM IP: ");
    gets_s(cDSMIP, 16);
    if(0 == strcasecmp("q", cDSMIP))  exit(0);

    fprintf(stderr,"Please input DSM port: ");
    gets_s(cTemp, 8);
    if(0 == strcasecmp("q", cTemp))  exit(0);
    iDSMPort = to_int_def(cTemp, 6004);
    
    fprintf(stderr, "Please input Backup DSM IP: ");
    gets_s(cBakDSMIP, 16);
    if(0 == strcasecmp("q", cBakDSMIP))  exit(0);

    fprintf(stderr,"Please input Backup DSM port: ");
    gets_s(cTemp, 8);
    if(0 == strcasecmp("q", cTemp))  exit(0);
    iBakDSMPort = to_int_def(cTemp, 6004);
    
    /*iRet = NetClient_DSMSetDirectoryServer(cDSMIP, iDSMPort, cBakDSMIP, iBakDSMPort);
    if (iRet == 0)
    {
        fprintf(stderr, "[NetClient_DSMSetDirectoryServer] success.\n");
    }
    else
    {
        fprintf(stderr, "[NetClient_DSMSetDirectoryServer] fail.return value is %d\n", iRet); 
        return;
    }*/
    ////////////////////////////////////////////////////////////////////////////////////////  

    fprintf(stderr, "--[NetClient_Logon_V4]--\n");
    /*fprintf(stderr,"Do you want to load information from the ini file?\n n:NO or y:yes: \n");
    gets_s(cTemp, 16);
    if(0 == strcasecmp("q", cTemp))  exit(0);
    if(0 == strcasecmp(cTemp, "y"))
    {
        FILE *fIni = fopen(g_CONFIG_FILE,"a+");                //inital ini file
        if (fIni)
        {
            fclose(fIni);
            fIni = NULL;
        }
    
        dictionary *ini = iniparser_load(g_CONFIG_FILE);
    
        LoadEncoderFromIni(ini,g_vecEncoder);   
        iniparser_freedict(ini);
        ini = NULL;
    }*/

    char cIP[16] = {0};
    int iPort = 0;
    char cProxyIP[16] = {0};
    char cUserName[16] = {0};
    char cPassword[16] = {0};
    char cNvsName[16] = {0};
    char cAccountName[16] = {0};
    char cAccountPasswd[16] = {0};
    char cProductID[16] = {0};
    fprintf(stderr, "Please input Proxy IP: ");
    gets_s(cProxyIP, 16);
    if(0 == strcasecmp("q", cProxyIP))  exit(0);

    fprintf(stderr, "Please input server IP: ");
    gets_s(cIP, 16);
    if(0 == strcasecmp("q", cIP))   exit(0);

    fprintf(stderr,"Please input server port: ");
    gets_s(cTemp, 8);
    if(0 == strcasecmp("q", cTemp)) exit(0);
    iPort = to_int_def(cTemp, 3000);

    fprintf(stderr, "Please input user name: ");
    gets_s(cUserName, 16);
    if(0 == strcasecmp("q", cUserName)) exit(0);

    fprintf(stderr, "Please input password: ");
    gets_s(cPassword, 16);
    if(0 == strcasecmp("q", cPassword)) exit(0);

    fprintf(stderr, "Please input Nvs Name: ");
    gets_s(cNvsName, 16);
    if(0 == strcasecmp("q", cNvsName)) exit(0);

    fprintf(stderr, "Please input DSM AccountName: ");
    gets_s(cAccountName, 16);
    if(0 == strcasecmp("q", cAccountName)) exit(0);

    fprintf(stderr, "Please input DSM AccountPasswd: ");
    gets_s(cAccountPasswd, 16);
    if(0 == strcasecmp("q", cAccountPasswd)) exit(0);

    fprintf(stderr, "Please input ProductID: ");
    gets_s(cProductID, 16);
    if(0 == strcasecmp("q", cProductID)) exit(0);

	if(strcmp(cIP, "") == 0)
		strcpy(cIP, "10.30.21.67");
	if(iPort==0)
		iPort = 3000;
    if(strcmp(cUserName, "") == 0)
        strcpy(cUserName, "Admin");
    if(strcmp(cPassword, "") == 0)
        strcpy(cPassword, "Admin");
    if(strcmp(cNvsName, "") == 0)
        strcpy(cNvsName, "NVSS");
    if(strcmp(cAccountName, "") == 0)
        strcpy(cAccountName, "QQ");
    if(strcmp(cAccountPasswd, "") == 0)
        strcpy(cAccountPasswd, "QQQQ");

    LogonPara tLogonPara = {0};
	tLogonPara.iSize = sizeof(LogonPara);
	tLogonPara.iNvsPort = iPort;
	strcpy(tLogonPara.cProxy, cProxyIP);
	strcpy(tLogonPara.cNvsIP, cIP);
	strcpy(tLogonPara.cUserName, cUserName);
	strcpy(tLogonPara.cUserPwd, cPassword);
	strcpy(tLogonPara.cProductID, cProductID);
	strcpy(tLogonPara.cCharSet, "UTF-8");
	strcpy(tLogonPara.cNvsName, cNvsName);
	strcpy(tLogonPara.cAccontName, cAccountName);
	strcpy(tLogonPara.cAccontPasswd, cAccountPasswd);
	g_iLogonID = NetClient_Logon_V4(SERVER_ACTIVE, &tLogonPara, sizeof(LogonPara));
    if(g_iLogonID<0)
    {
        fprintf(stderr,"[NetClient_Logon_V4] return %d\n", g_iLogonID);
    }
    else
    {
        fprintf(stderr,"[NetClient_Logon_V4] success");
    }
}

void LogonActive_Test(void)
{
	char cTemp[8] = {0};
	
	char buf[MAX_PATH];

	int iLineNum = 0;
	FILE *fp; 
	char szLine[1024];
	static char tmpstr[1024];
	int rtnval;
	int i = 0; 
	int flag = 0; 
	char *tmp;

	char local_ip[32] = {0};
	//ȡļ·
	memset(buf,0,sizeof(buf));
	GetCurrentPath(buf,CONF_FILE_PATH);
	strcpy(g_szConfigPath,buf);

	//ļ

	strcpy(local_ip,  GetIniKeyString("sys","local_ip",g_szConfigPath, &iLineNum));
	printf("%s",local_ip);
	

	
	/*int iRet = NetClient_StartServer(local_ip, 3000);
	if (iRet == 0)
	{
	    fprintf(stderr, "[NetClient_StartServer] success.\n");
	}
	else
	{
	    fprintf(stderr, "[NetClient_StartServer] fail.return value is %d\n", iRet); 
	    return;
	}*/


	iLineNum++;
	/*iRet = NetClient_DSMSetDirectoryServer(GetIniKeyString("sys","ds_ip",g_szConfigPath, &iLineNum),
										6004, "10.30.11.107", 6004);
	if (iRet == 0)
	{
	    fprintf(stderr, "[NetClient_DSMSetDirectoryServer] success.\n");
	}
	else
	{
	    fprintf(stderr, "[NetClient_DSMSetDirectoryServer] fail.return value is %d\n", iRet); 
	    return;
	}*/

	fprintf(stderr, "--[NetClient_Logon_V4]--\n");
	char cIP[16] = {0};
	int iPort = 0;
	char cProxyIP[16] = {0};
	char cUserName[16] = {0};
	char cPassword[16] = {0};
	char cNvsName[16] = {0};
	char cAccountName[16] = {0};
	char cAccountPasswd[16] = {0};
	char cProductID[32] = {0};


	if(strcmp(cIP, "") == 0)
		strcpy(cIP, "10.30.11.39");
	if(iPort==0)
		iPort = 3000;
	if(strcmp(cProxyIP, "") == 0)
		strcpy(cProxyIP, "10.30.11.107");
	if(strcmp(cUserName, "") == 0)
	    strcpy(cUserName, "Admin");
	if(strcmp(cPassword, "") == 0)
	    strcpy(cPassword, "Admin");
	if(strcmp(cNvsName, "") == 0)
	    strcpy(cNvsName, "NVSS");
	if(strcmp(cAccountName, "") == 0)
	    strcpy(cAccountName, "QQ");
	if(strcmp(cAccountPasswd, "") == 0)
	    strcpy(cAccountPasswd, "QQQQ");

		
	LogonPara tLogonPara = {0};
	tLogonPara.iSize = sizeof(LogonPara);
	tLogonPara.iNvsPort = iPort;
	strcpy(tLogonPara.cProxy, cProxyIP);
	strcpy(tLogonPara.cNvsIP, cIP);
	strcpy(tLogonPara.cUserName, cUserName);
	strcpy(tLogonPara.cUserPwd, cPassword);
	strcpy(tLogonPara.cCharSet, "UTF-8");
	strcpy(tLogonPara.cNvsName, cNvsName);
	strcpy(tLogonPara.cAccontName, cAccountName);
	strcpy(tLogonPara.cAccontPasswd, cAccountPasswd);

	for(i=0; i<MAX_DEVICE_NUM; i++)
	{
		iLineNum++;
		strcpy(tLogonPara.cProductID, GetIniKeyString("device","product_id",g_szConfigPath, &iLineNum));
		if(strcmp(tLogonPara.cProductID, "") == 0)
		{
			fprintf(stderr,"product_id = "", total_num =  %d\n", i );
			break;
		}
		g_iLogonID_sys[i] = NetClient_Logon_V4(SERVER_ACTIVE, &tLogonPara, sizeof(LogonPara));
		
		if(g_iLogonID_sys[i] <0)
		{
		    fprintf(stderr,"[NetClient_Logon_V4] return %d\n", g_iLogonID_sys[i] );
		}
		else
		{
		    fprintf(stderr,"[NetClient_Logon_V4] success   g_iLogonID_sys[i] :%d\n", g_iLogonID_sys[i]);
		}
	}
	
}

void OneKeyStartRecv()
{

    int i=0;	
    CLIENTINFO cltInfo;
    memset(&cltInfo,0,sizeof(CLIENTINFO));

    cltInfo.m_iBufferCount = 5;
    cltInfo.m_iChannelNo = 0;
    cltInfo.m_iNetMode = 1;
    cltInfo.m_iTimeout = 2000;
    cltInfo.m_iTTL = 8;
    cltInfo.m_iStreamNO = 0;

    for(i=0; i<MAX_DEVICE_NUM; i++)
    {
    	 if(g_iLogonID_sys[i] != -1)
    	 {
    	    cltInfo.m_iServerID = g_iLogonID_sys[i];
	    unsigned int uiRecv = 0;
	    int iRet = NetClient_StartRecv(&uiRecv, &cltInfo, NVSDATA_Notify, (void*)g_iLogonID_sys[i]);
   	    if(0 == iRet)
           {
        	  fprintf(stderr, "NetClient_StartRecv success\n");
    	    }
    	    else
    	    {
        	fprintf(stderr, "NetClient_StartRecv failed\n");
    	    }
			
    	}
    }
}


int main(int argc,char *argv[])
{
    mtrace();

    struct rlimit rtemp;
	getrlimit(RLIMIT_CORE,  &rtemp);	
	rtemp.rlim_cur = 0xFFFFFFFF;
	rtemp.rlim_max =0xFFFFFFFF;
	setrlimit(RLIMIT_CORE,&rtemp);

	rtemp.rlim_cur = 2048;
	rtemp.rlim_max = 2048;
	setrlimit(RLIMIT_NOFILE,&rtemp);

    char cmd[256] = {0};
    int iRet = 0;

    for(int i=0; i<MAX_DATA_CHAN; i++)
    {
        g_uiRecv[i] = 0xFFFFFFFF;
        g_fpRawStream[i] = NULL;
        g_fpSdv[i] = NULL;
        g_fpH264[i] = NULL;
        g_fpG711A[i] = NULL;
        g_fpG711U[i] = NULL;
        g_fpADPCM[i] = NULL;
        g_fpG726[i] = NULL;
    }



    NetClient_Startup(3000,6000,0);
    NetClient_SetNotifyFunction(Notify_Main, Notify_Alarm, Notify_ParaChange, Notify_ComRecv, NULL);

    char cTemp[8] = {0};
    int iType = 0;
    fprintf(stderr, "Please choice logon type(0--normal,1--Active:,3--ALL");
    gets_s(cTemp, 8);
    if(0 == strcasecmp("q", cTemp))
    {
        exit(0);
    }
    iType = to_int_def(cTemp, 0);
    if (SERVER_NORMAL == iType)
    {
        LogonDevice();
    }
    else if (SERVER_ACTIVE == iType)
    {
        LogonActive();
    }
	else if (3 == iType)
    {
    	 memset(&g_iLogonID_sys, -1, sizeof(g_iLogonID_sys[MAX_DEVICE_NUM]) * MAX_DEVICE_NUM);
        LogonActive_Test();
    }
    else
    {
    }

	while(0 == gets_s(cmd, 256))
	{
		//һƵ
		if(0 == strcasecmp("onekey", cmd))
		{
			OneKeyStartRecv();
		}
		if(0 == strcasecmp("q", cmd))
		{
			break;
		}
		else if(0 == strcasecmp("list", cmd))
		{
			ListAllInterface();
		}
		else if(0 == strcasecmp("getallrecvid", cmd))
		{
			GetAllRecvID();
		}
		else if(0 == strcasecmp("auto", cmd))
		{
			auto_test();
		}
		else if(0 == strcasecmp("logon", cmd))
		{
		    LogonDevice();
		}
		else if(0==strcasecmp("logoff", cmd))
		{
			int iRet = NetClient_Logoff(g_iLogonID);
			if(iRet!=0)
				fprintf(stderr, "NetClient_Logoff failed! return %d, errno = 0x%08x\n", iRet, errno);
			else
			{
				fprintf(stderr, "NetClient_Logoff success! Result\n");
				g_iLogonID = -1;
			}
		}
		else if(0 == strcasecmp("m", cmd))
		{
			//Auto_NetFileSetGetChannelParam();

			if(0!=Test_GetOSDTypeColor())
				continue;
			if(0!=Test_SetOSDTypeColor())
				continue;
			if(0!=Test_GetOSDTypeColor())
				continue;
			
			if(0!=Test_GetDigitalChannelConfig())
				continue;
			if(0!=Test_SetDigitalChannelConfig())
				continue;
			if(0!=Test_GetDigitalChannelConfig())
				continue;

			if(0!=Test_NetFileGetChannelParam())
				continue;
			if(0!=Test_NetFileSetChannelParam())
				continue;
			if(0!=Test_NetFileGetChannelParam())
				continue;

			if(0!=Test_BackupImage())
				continue;

			Test_LaneParam();

			Test_ShutDownDev();
		}
       	 else if(0 == strcasecmp("Active", cmd))
		{
            		LogonActive();
        	}
		else
		{
			iRet = Test_Param(cmd);
			if(-1 == iRet)
			{
				break;
			}
		}

        fprintf(stderr, "\n*****************************Logon by Active,please input\"Active\"***************************\n");
	}


    for(int i=0; i<MAX_DEVICE_NUM; i++)
    {
    	if(g_iLogonID_sys[i] != -1)
    	{
    		NetClient_Logoff(g_iLogonID_sys[i]);
    	}
    }
    NetClient_Logoff(g_iLogonID);
    NetClient_Cleanup();
    fprintf(stderr, "[main] Cleanup successful.\n");

    return 0;
}




